Mailinglist Archive: opensuse-gnome (172 mails)

< Previous Next >
[opensuse-gnome] GDM 2.20 for openSUSE 11.0
  • From: Hans Petter Jansson <hpj@xxxxxxxxxx>
  • Date: Fri, 04 Apr 2008 14:36:04 -0600
  • Message-id: <1207341364.15866.34.camel@xxxxxxxxxxx>
After weeks of indecision (or, as I like to put it, consideration), I've
determined that we'd better stick with GDM 2.20 for openSUSE 11.0. We
will not be shipping the to-be-released GDM 2.22. Thanks to everyone who
chipped in leading to this conclusion.

Reasons for this include:

- ´╗┐Significant risk of breakage due to insufficient testing.
It's late in the cycle to be including GDM 2.22, but we couldn't
have done it earlier because the upstream code wasn't mature
enough.

- Greatly reduced configurability. It's not clear how this will
affect deployments.

- Rapidly changing code base. It will be hard to maintain
patches against it for a while yet.

- Reduced theming potential. It won't look as good.

- Few short-term benefits. While increased testing is important,
it could spoil an otherwise excellent release for GNOME - and I
think we deserve such a good release this time around.

- GDM 2.20 will be supported upstream for a long time still.

We'll consider GDM 2.22 for openSUSE 11.1 and hopefully we'll be able to
include it then.

In the meantime, we'll maintain GDM 2.22 in the build service (probably
in GNOME:UNSTABLE) and I'll try to keep it in a state that's compatible
with openSUSE 11.0, so those who want to can run it.

--
Hans Petter

--
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-gnome+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages